%define basever	4.6.2
%def_enable slang2

%ifdef cvsver
%define ver	%basever-%cvsver
%else
%define ver	%basever
%endif

Name: mc
Version: %ver
Release: alt11.pre1

License: %gpllgpl2plus
Summary: A user-friendly file manager and visual shell
Group: File tools
Url: http://www.gnu.org/software/mc/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source0: %name-%version.tar
Source1: synce-mcfs.tar
Source5: mc-dnlike.color
Source6: mc-dark.color
Source11: mc-16.png
Source12: mc-32.png

# from http://nemerle.org/svn/nemerle/trunk/misc/nemerle.syntax
Source20: nemerle.syntax
Source21: ebuild.syntax

Patch: mc-4.6.2-alt-Eterm.patch
Patch1: mc-4.6.1-alt-charsets.patch
Patch2: mc-4.6.1-alt-wrapper.patch
Patch3: mc-4.5.55-language.patch
Patch4: mc-4.6.2-alt-configure-fixes.patch
Patch5: mc-4.6.2-alt-extfs.patch
Patch6: mc-4.6.2-alt-slang2.patch
Patch7: mc-4.6.1-alt-vfs.patch
Patch8: mc-4.6.2-alt-filetypes.patch
Patch9: mc-4.6.2-alt-forceexec.patch
Patch10: mc-4.6.1a-alt-po.patch
Patch11: mc-4.6.2-alt-system-libpopt.patch
Patch12: mc-4.6.1-alt-add-nemerle-syntax.patch
Patch13: mc-4.6.2-alt-syntax-mak.patch
Patch14: mc-4.6.2-alt-defaults.patch
Patch15: mc-4.6.1-alt-menu.patch
Patch16: mc-4.6.2-alt-extfs-ucab.patch

# UTF8
Patch90: mc-4.6.2-debian-utf8-slang2.patch

# RH
Patch101: mc-4.6.2-rh-64bit.patch
Patch102: mc-4.6.2-rh-delcheck.patch
Patch103: mc-4.6.2-rh-exit.patch
Patch104: mc-4.6.2-rh-newlinedir.patch
Patch105: mc-4.6.2-rh-etcmc.patch
Patch106: mc-4.6.2-rh-refresh.patch
Patch107: mc-4.6.2-rh-showfree.patch
Patch108: mc-4.6.2-rh-utf8-8bit-hex.patch
Patch109: mc-4.6.2-rh-utf8-look-and-feel.patch
Patch110: mc-4.6.2-rh-utf8-slang2-view-fix.patch
Patch111: mc-4.6.2-rh-hint-crash-fix.patch
Patch112: mc-4.6.2-rh-u7z-list-fix.patch
Patch113: mc-4.6.2-rh-cedit-configurable-highlight.patch

# PLD
Patch151: mc-4.6.2-pld-syntax-spec.patch
Patch152: mc-4.6.2-pld-syntax-vhdl.patch

# Mandriva
Patch201: mc-4.6.1-mdv-lzma.patch

# Gentoo
Patch251: mc-4.6.0-gentoo-ebuild-syntax.patch

# Debian
Patch301: mc-4.6.2-debian-syntax-cxx-1.patch
Patch302: mc-4.6.2-debian-syntax-cxx-2.patch
Patch303: mc-4.6.2-debian-syntax-debian.patch
Patch304: mc-4.6.2-debian-manpage-config-path-fix.patch
Patch305: mc-4.6.2-debian-syntax-html.patch
Patch306: mc-4.6.2-debian-syntax-named.patch
Patch307: mc-4.6.2-debian-syntax-sh.patch
Patch308: mc-4.6.2-debian-syntax-strace.patch
Patch309: mc-4.6.2-debian-utf8-nlink.patch
Patch310: mc-4.6.2-debian-visible_tabs.patch
Patch311: mc-4.6.2-debian-filename-escaping.patch
Patch312: mc-4.6.2-debian-recode.patch
Patch313: mc-4.6.2-debian-syntax-man.patch
Patch314: mc-4.6.2-debian-mc.ext-tar-fix.patch
Patch315: mc-4.6.2-debian-mc.ext-use-arj.patch
Patch316: mc-4.6.2-debian-smb.conf-path-fix.patch
Patch317: mc-4.6.2-debian-syntax-mail.patch
Patch318: mc-4.6.2-debian-regexp-replace-fixed.patch
Patch319: mc-4.6.2-debian-fix-regex-bol-match.patch
Patch320: mc-4.6.2-debian-fix-regex-newline-match.patch
Patch321: mc-4.6.2-debian-fix-regex-pattern-lengths.patch
Patch322: mc-4.6.2-debian-syntax-asm.patch
Patch323: mc-4.6.2-debian-syntax-procmail.patch
Patch324: mc-4.6.2-debian-utf8-unbreak-visible-ws.patch

# UHU-Linux
Patch351: mc-4.6.2-uhu-utf8-common.patch
Patch352: mc-4.6.2-uhu-suse-utf8-bottom-buttons-width.patch
Patch353: mc-4.6.2-uhu-suse-utf8-hotlist-highlight.patch
Patch354: mc-4.6.2-uhu-utf8-filename-search-highlight.patch
Patch355: mc-4.6.2-uhu-utf8-backward-word-off-by-one.patch
Patch356: mc-4.6.2-uhu-utf8-shift-enter.patch
Patch357: mc-4.6.2-uhu-default-colors-for-root.patch

# Misc
# contributed
Patch401: mc-4.6.2-xs-file-highlight.patch
# https://savannah.gnu.org/bugs/?16303
Patch402: mc-4.6.2-savannah-u7z.patch
# https://savannah.gnu.org/patch/?4211
Patch403: mc-4.6.2-savannah-edit-homekey.patch

# Archlinux
Patch451: mc-4.6.2-arch-old_esc_mode.patch

# SuSe
Patch501: mc-4.6.2-suse-X11-soname.patch

BuildRequires(pre): rpm-build-licenses

BuildPreReq: glib2-devel libe2fs-devel libgpm-devel
BuildPreReq: pkg-config groff-base cvs libpopt-devel
BuildPreReq: libX11-devel
%if_enabled slang2
BuildPreReq: libslang2-devel
%else
BuildPreReq: libslang-devel
%endif

%add_findreq_skiplist %_sysconfdir/mc/edit.indent.rc
%add_findreq_skiplist %_sysconfdir/mc/edit.spell.rc

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.  :-)

%prep
%setup -a1
# ALT
%patch  -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p0
%patch14 -p1
%patch15 -p1
%patch16 -p2

# UTF8
%patch90 -p1

# RH
%patch101 -p1
#%%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
#%%patch108 -p1
%patch109 -p1
%if_enabled slang2
%patch110 -p1
%endif
%patch111 -p1
%patch112 -p1
%patch113 -p1

# PLD
%patch151 -p1
%patch152 -p1

# Mandriva
%patch201 -p1

# Gentoo
%patch251 -p1

# Debian
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
#%%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch309 -p1
#%%patch310 -p0
%patch311 -p0
%patch312 -p1
%patch313 -p1
%patch314 -p1
%patch315 -p1
%patch316 -p1
%patch317 -p1
%patch318 -p1
%patch319 -p1
%patch320 -p1
%patch321 -p1
%patch322 -p1
%patch323 -p1
%patch324 -p1

# UHU-Linux
%patch351 -p1
%patch352 -p1
%patch353 -p1
%patch354 -p1
%patch355 -p1
%patch356 -p1
%patch357 -p1

# Misc
%patch401 -p1
%patch402 -p1
%patch403 -p1

# Archlinux
%patch451 -p1

# SuSe
%patch501 -p0

rm -f src/*popt*
rm -fr slang/
%__subst '/^SUBDIRS/s/slang //' Makefile.am
%__subst '/slang\/Makefile/d' configure.ac

%autoreconf

bzip2 -9 ChangeLog

%build
%configure --without-debug \
	    --with-screen=slang \
	    --enable-charset \
	    --enable-largefile

%make_build

%install
install -d %buildroot%_sysconfdir/{profile.d,bashrc.d}

%makeinstall

mv %buildroot%_datadir/mc/bin/mc.* %buildroot%_sysconfdir/profile.d
# Install DosNavigator color scheme
install -m644 %SOURCE5 %_builddir/%name-%basever
# Install Dark color scheme
install -m644 %SOURCE6 %_builddir/%name-%basever
# Install SynCE VFS
install -m755 synce-mcfs/src/synce* %buildroot%_datadir/%name/extfs/
cat synce-mcfs/src/extfs.ini.add >> %buildroot%_datadir/%name/extfs/extfs.ini

pushd %buildroot%_datadir/mc/
iconv -f ISO-8859-1 -t UTF-8 mc.hint > tmp && mv tmp mc.hint && \
iconv -f ISO-8859-1 -t UTF-8 mc.hlp > tmp && mv tmp mc.hlp && \
iconv -f ISO-8859-1 -t UTF-8 mc.hint.es > tmp && mv tmp mc.hint.es && \
iconv -f ISO-8859-1 -t UTF-8 mc.hlp.es > tmp && mv tmp mc.hlp.es && \
iconv -f ISO-8859-1 -t UTF-8 mc.hint.it > tmp && mv tmp mc.hint.it && \
iconv -f ISO-8859-1 -t UTF-8 mc.hlp.it > tmp && mv tmp mc.hlp.it && \
iconv -f ISO-8859-1 -t UTF-8 mc.hint.nl > tmp && mv tmp mc.hint.nl && \
iconv -f ISO-8859-2 -t UTF-8 mc.hint.cs > tmp && mv tmp mc.hint.cs && \
iconv -f ISO-8859-2 -t UTF-8 mc.hint.hu > tmp && mv tmp mc.hint.hu && \
iconv -f ISO-8859-2 -t UTF-8 mc.hlp.hu > tmp && mv tmp mc.hlp.hu && \
iconv -f ISO-8859-2 -t UTF-8 mc.hint.pl > tmp && mv tmp mc.hint.pl && \
iconv -f ISO-8859-2 -t UTF-8 mc.hlp.pl > tmp && mv tmp mc.hlp.pl && \
iconv -f ISO-8859-5 -t UTF-8 mc.hint.sr > tmp && mv tmp mc.hint.sr && \
iconv -f ISO-8859-5 -t UTF-8 mc.hlp.sr > tmp && mv tmp mc.hlp.sr && \
iconv -f ISO-8859-5 -t UTF-8 mc.menu.sr > tmp && mv tmp mc.menu.sr && \
iconv -f koi8-r -t UTF-8 mc.hint.ru > tmp && mv tmp mc.hint.ru && \
iconv -f koi8-r -t UTF-8 mc.hlp.ru > tmp && mv tmp mc.hlp.ru && \
iconv -f koi8-u -t UTF-8 mc.hint.uk > tmp && mv tmp mc.hint.uk && \
iconv -f big5 -t UTF-8 mc.hint.zh > tmp && mv tmp mc.hint.zh
popd

# remove bash wrapper
# rm -f %buildroot%_datadir/mc/bin/mc-wrapper.sh

# Move mc.sh to proper path
mkdir -p %buildroot%_sysconfdir/bashrc.d
mv %buildroot%_sysconfdir/profile.d/mc.sh %buildroot%_sysconfdir/bashrc.d


mkdir -p %buildroot%_sysconfdir/mc/{extfs,syntax}

# move configuration files to /etc/mc to make it FHS compliant
mv -f %buildroot%_datadir/mc/{cedit.menu,edit.indent.rc,edit.spell.rc,\
mc.ext,mc.lib,mc.menu,mc.charsets} %buildroot%_sysconfdir/mc
mv -f %buildroot%_datadir/mc/extfs/*.ini %buildroot%_sysconfdir/mc/extfs
mv -f %buildroot%_datadir/mc/syntax/Syntax %buildroot%_sysconfdir/mc/syntax

# .desktop
cat <<__EOF__>%name.desktop
[Desktop Entry]
Type=Application
Name=Midnight Commander
Comment=Midnight Commander
Icon=%name
Exec=%name
Terminal=true
Categories=ConsoleOnly;System;FileTools;FileManager;
__EOF__
install -pD -m644 %name.desktop %buildroot%_desktopdir/%name.desktop

# icons
install -pD -m644 %SOURCE11 %buildroot%_miconsdir/%name.png
install -pD -m644 %SOURCE12 %buildroot%_iconsdir/%name.png

install -pD -m644 %SOURCE20 %buildroot%_datadir/mc/syntax/
install -pD -m644 %SOURCE21 %buildroot%_datadir/mc/syntax/

%find_lang %name


%files -f %name.lang
%doc AUTHORS ChangeLog.bz2 FAQ HACKING INSTALL INSTALL.FAST
%doc MAINTAINERS NEWS README README.QNX TODO
%doc mc-dnlike.color mc-dark.color
%_bindir/mc
%_bindir/mcedit
%_bindir/mcview
%_bindir/mcmfmt
%_libexecdir/mc/
%_datadir/mc/
%_man1dir/*
%_desktopdir/%name.desktop
%_iconsdir/%name.png
%_miconsdir/%name.png
%config(noreplace) %_sysconfdir/bashrc.d/*
%config(noreplace) %_sysconfdir/profile.d/*
%dir %_sysconfdir/mc
%dir %_sysconfdir/mc/syntax
%dir %_sysconfdir/mc/extfs
%config %_sysconfdir/mc/syntax/Syntax
%config %_sysconfdir/mc/mc.charsets
%config %_sysconfdir/mc/mc.lib
%config(noreplace) %_sysconfdir/mc/*edit*
%config(noreplace) %_sysconfdir/mc/mc.ext
%config(noreplace) %_sysconfdir/mc/mc.menu
%config(noreplace) %_sysconfdir/mc/extfs/extfs.ini
%config(noreplace) %_sysconfdir/mc/extfs/sfs.ini


%changelog
* Sun Nov 23 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt11.pre1
- remove obsolete macros
- replace menu file with .desktop
- try to load libX11.so.6 if libX11.so didn't load (SuSe)
- make whitespace highlighting configurable through menu (RH)

* Thu Aug 28 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt10.pre1
- add configuration dialog for Esc key timeout (Arch, upstream #13733)
- mcedit: second press of Home key jumps to first non-space character (upstream
  patch #4211)
- fix extension in mc-4.6.1-mdv-lzma.patch (RH)
- update mc-4.6.2-debian-recode.patch from 4.6.2~git20080311-3
- fix u7z list mode (RH; closes: #14099)
- mc.ext
  + use 7z instead of 7za
  + remove .fli patch (merged upstream)

* Sat Aug 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt9.pre1
- update to upstream 05069a72
- sync Debian patches with 4.6.2~git20080311-1
- mc.ext:
  + recognize .cl as Lisp source (damned@; closes: #15971)
  + use arj instead of unarj (Debian)
- syntax:
  + enhance: mail (Debian)
  + add: asm, procmail (Debian)
- extfs:
  + add .cab extfs (yurifil@etersoft.ru; closes: #16361)
- fix config file names in the manpage (Debian)
- correctly view tar files with colons in their names (Debian)
- fix smb.conf path (Debian)

* Sun May 11 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt8.pre1
- mc.ext:
  + recognize .3gp as video, not manpage (#14982, hiddenman@)
  + don't show exif(1) error if file doesn't contain EXIF data
  + recognize all mailboxes, not only ASCII ones
  + use fbv instead of zgv for viewing images without X
- syntax:
  + update ebuild.syntax
  + recognize .mak as Makefiles (#15589, led@)
- move global configs to /etc (RH)
- build with X events support
- 51 patch applied so far

* Wed Apr 02 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt7.pre1
- syntax:
  + recognize .hh and .hpp as c++ again (#15177, was lost during adaptation
    of Debian patches)
  + recognize man pages with additional suffixes other than 'x', such as
    write.3p (Debian)
- add recoding support to panels, FTP and copy/move operations (Debian)
- make visible_tabs and visible_tws mcedit options configurable through config
  file (Debian)
- (un)escape weird folder names in the command line (Debian)
- use more aggressive colors in warning boxes for superuser (UHU)

* Sat Mar 29 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt6.pre1
- build with slang2
- build with system libpopt
- fix mcview with slang2 in 8-bit locales (RH)
- fix segfault when no hint files available (RH)
- fix segfault when trying to display invalid timestamp (Gentoo)
- remove chkconfig from Requires
- convert all help files to UTF-8 to be viewable in all locales (Debian)
- fix displaying link count and mode columns in UTF-8 locale (Debian)
- fix bottom button widths in UTF-8 locale (UHU)
- fix selection width in the hotlist and quick search in UTF-8 locale (UHU)
- fix off-by-one misbehavior of Ctrl-Left and Alt-Backspace in line edit
  widget (UHU)
- fix line edit widget behavior with literal newline entered (UHU)
- syntax:
  + add ebuild (Gentoo)
- mc.ext:
  + use djview for .djvu files

* Tue Mar 18 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt5.pre1
- add option to build with libslang2 (#10591)
- mc.ext:
  + open chm files with kchmviewer || xchm
- disable mc-4.6.2-rh-delcheck.patch
- fix memleak in mc-4.6.1-alt-vfs.patch (#14849)
- fix unpacking of archives with spaces (#12626)

* Wed Mar 12 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt4.pre1
- build with slang2
- Daedalus build

* Wed Mar 05 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt3.pre1
- fix x86_64 build (damir@)
- mc.ext:
  + show EXIF for JPEG images (Debian)
  + use msgunfmt to view .mo message catalogs (Debian)
  + add .mkv and .rm to video file extensions (Mandriva)
  + add .asm to assembler file extensions (RH)
  + add JNG and MNG to image file types (RH)
  + add .flic to video file extensions (RH)
  + use mplayer -identify to 'view' video files (RH)
  + use OO.o for all MSO files (RH)

* Thu Feb 28 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt2.pre1
- enable lynx-style navigation by default (#8046)
- package /etc/profile.d/mc.csh
- compress ChangeLog
- Debian patches:
  + syntax enhance: c++, sh
  + syntax add: debian/{control,changelog,rules}, dsc, named,
    sources.list, strace
- RH patches:
  + update panels before showing copy/move dialog
  + allow exit command on non-local filesystems
  + disable support of dirs with embedded newline
  + fix 'Preserve attributes' copy/move option
  + handle resizing during file operation
  + show free space on the current device
  + add vertical scrollbars to panels and other widgets
- PLD patches:
  + syntax enhance: rpm spec
  + syntax add: vhdl
- Mandriva patches:
  + extfs: add lzma
- Misc patches:
  + extfs: 7z improvements

* Sun Feb 24 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.6.2-alt1.pre1
- 4.6.2-pre1
- spec cleanup
- take utf8 patch from Debian mc 1:4.6.2~pre1-3 (includes
  mc-4.6.1-alt-promptfix.patch)

* Fri Jan 05 2007 Igor Zubkov <icesik@altlinux.org> 4.6.1r-alt9
- fix not readable help when utf-8 locale is used (#9727)

* Mon Oct 23 2006 Igor Zubkov <icesik@altlinux.org> 4.6.1r-alt8
- use unrar instead rar in mc.ext (#8028)

* Mon Oct 16 2006 Igor Zubkov <icesik@altlinux.ru> 4.6.1r-alt7
- added mc-4.6.1-alt-menu.patch (fixed mc.menu scripts)

* Mon Oct 16 2006 Igor Zubkov <icesik@altlinux.ru> 4.6.1r-alt6
- revert mc-4.6.1a-rh-promptfix.patch (buggy)
- fix promt (mc-4.6.1-alt-promptfix.patch) (#8310)

* Mon Oct 16 2006 Igor Zubkov <icesik@altlinux.ru> 4.6.1r-alt5
- add catdoc as RTF viewer (#4443)

* Mon Oct 16 2006 Igor Zubkov <icesik@altlinux.ru> 4.6.1r-alt4
- add nemerle syntax (#10104)

* Thu Sep 15 2005 Kachalov Anton <mouse@altlinux.ru> 4.6.1r-alt3
- Updated file-type coloring (X-Stranger)
- Bugfixes:
    + Menu-file fix (#5007)
    + PO translation (#7582, patch from php-coder@)
    + 7zip extension support (#7962)

* Sat Aug 13 2005 Kachalov Anton <mouse@altlinux.ru> 4.6.1r-alt2
- Added file-type coloring (thanks to X-Stranger <x@interfax.by>)

* Mon Aug 01 2005 Kachalov Anton <mouse@altlinux.ru> 4.6.1r-alt1
- Release 4.6.1

* Mon Jul 11 2005 Kachalov Anton <mouse@altlinux.ru> 4.6.1a.20050606-alt1
- 4.6.1a
- New patches (RH):
    + updated UTF8
    + fish upload
    + command prompt fix

* Wed Jun 01 2005 Kachalov Anton <mouse@altlinux.ru> 4.6.1.20050601-alt1
- Bugfixes:
    + force subshell execution, forwardport (#6952)
    + question symbols in xterm title bar (#6945)
    + partially fixed codepage conversion (#6944)

* Thu May 19 2005 Kachalov Anton <mouse@altlinux.ru> 4.6.1.20050518-alt1
- 4.6.1 from CVS: 18 May 2005
- Bugfixes:
    + aterm generates symbols instead of cursor movement (#4548)
    + big files from zip archive doesn't show (#5428)
    + files copy failed via remote shell (#6806)
    + play video with mplayer or xine (#5052)
    + broken Grey Enter key (#1214)
    + missed menu entry (#5007)
- Added:
    + UTF-8 support
    + SynCE VFS

* Tue Jun 29 2004 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt9
- fix iso extension (#4366, #4536)
- additional file types handling (#3334, #4443)
- fix date parsing in vfs (#4545)

* Wed Apr 07 2004 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt8
- fix security bugs (buffer overflow) and backport from CVS version.

* Mon Jan 19 2004 Stanislav Ievlev <inger@altlinux.org> 4.6.0-alt7.1
- fix security bugs.

* Mon Nov 03 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt7
- added .hh and .hpp files to Syntax highlight

* Wed Sep 03 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt6
- removed requires for cdrecord, cdparanoia and wget

* Mon Jul 21 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt5
- using links instead of lynx for viewing html
- added help file in cp1251 (#0002685)
- added DN-like coloration (thanks to Peter V. Chernikoff)

* Tue Apr 29 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt4
- added ISO extfs

* Tue Feb 18 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt3
- bugfix:
    + russian char in cp1251 locale not displayed (#000271)
    + problem with cp866 (#0002023)

* Mon Feb 10 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt2
- bugfix: mc doesn't give hostname to the terminal
- proper recognition of man pages
- wrapper creation temp dir on first startup fix

* Thu Jan 06 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt1
- new version
- remove mcserv
- remove smbfs
- bugfix:
    + Eterm is considered to be a dumb terminal (#0000851)
    + doen't look inside ~/.terminfo (#0000907)
    + mc crashes on linux console when gpm server closes connection (#0001123)
    + not copyied russian char to command line (#0001208)
    + locale error (#0001550)
    + hostname resolve (#0002010)

* Thu Dec 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.5.5
- Fixed wrapper

* Thu Nov 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.5
- Rebuilt with latest CVS changes

* Thu Oct 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.4
- Rebuilt back with slang library

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.3
- Fixed gpm bug
- Rebuilt with latest CVS changes
- Rebuilt with ncurses library
- Turn on smbfs support

* Tue Sep 03 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.2
- Rebuild with latest CVS changes
- Fixed restoring mouse events under xterm

* Wed Aug 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.1
- Rebuild with latest CVS changes
- Fixed some bugs
- Version now 4.6.0pre1a

* Thu Aug 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.99a-alt3
- Rebuild with latest CVS changes

* Wed Jul 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.99a-alt2
- Rebuild with fixed libgpm

* Tue Jul 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.99a-alt1
- Build from snapshot
- Package gmc now removed
- Some spec cleanup

* Tue Apr 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt7
- Added --enable-largefile, thnx to sav

* Mon Apr 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt6
- Removed umask patch

* Thu Feb 07 2002 AEN <aen@logic.ru> 4.5.55-alt5
- LANGUAGE variable not used anymore
- belarussian translation added
- build requires regenerated
- uk_UA.CP1251 tips added

* Tue Sep 24 2001 Kachalov Anton <mouse@altlinux.ru> 4.5.55-alt4
- Updated Russian translation - thanx to Andrew Borodin

* Tue Sep 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt3
- Updated Russian translation - thanx to Andrew Borodin

* Sun Sep 09 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt2
- Fix mc.hint for CP1251 locle
- Now we call links when view html's

* Tue Sep 04 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt1
- 4.5.55
- Use recoding support fom mc
- Fixed Requires
- Show backup files by default now is on

* Thu Jun 21 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt3.1
- Updated recode patch - added editor support & view search support

* Mon Jun 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt3
- Fix Full 8 bit input to be on by default

* Thu Jun 14 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt2
- Fixed cdparanoia requires
- Some spec cleanup

* Mon Jun 4 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt1
- New mc version - 4.5.54
- Some new Cooker patches
- Fixed sources (bzip2 -> gz)
- Fixed recode patch
- Removed all entries in changelog before 01012001
- Added umask settings

* Thu Mar 15 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.51-ipl11mdk
- Added recode patch
- Fix build with glibc-2.2.2 (time patch)
- Fixed name of po file
- Fixed build with new gtk
